import es, gamethread
from es import server_var

ACHEVEMENTS_VER = 1.0
ACHEVEMENT_DATABASE_VER = 100
def load():
	es.keygroupload('achevements', '|deathrun')
	es.keygroupload('achevement_database', '|deathrun/achevements')
	test = es.keygetvalue('achevements', 'def', 'save')
	if test:
		print '[dr] Achevements: database loaded!'
	else:
		print '[dr] Error db not found! creating...'
		es.keygroupcreate('achevements')
		es.keycreate('achevements', 'def')
		es.keysetvalue('achevements', 'def', 'save', '1')
		es.keygroupsave('achevements', '|deathrun')
	es.regcmd('achevement_server_stats', 'deathrun/achevements/server_status')
	
def player_activate(ev):
		get_account = es.keygetvalue('achevements', ev['es_steamid'], 'save')
		if get_account:
			es.cexec(ev['userid'], 'echo [DR] Achevements account loaded correctly')
		else:
			es.keycreate('achevements', ev['es_steamid'])
			es.keysetvalue('achevements', ev['es_steamid'], 'save', '1')
			es.keysetvalue('achevements', ev['es_steamid'], 'wins', '0')
			es.cexec(ev['userid'], 'echo [DR] Achevements has created a new account for you')
			es.keygroupsave('achevements', '|deathrun')
			achevement_give(ev['userid'], 'join_server')
def achevement_give(userid, achevement):
	steamid = es.getplayersteamid(userid)
	es.keysetvalue('achevements', steamid, achevement, '1')
	say = es.keygetvalue('achevement_database', achevement, 'full')
	name = es.getplayername(userid)
	es.msg('#multi', '#green-[DeathRun]-#lightgreen Player %s has earned the achevement: #green%s' % (name, say))
def server_status():
	winner = es.getargv(1)
	if winner == 'rebel':
		team = 3
	if winner == 'combine':
		team = 2
	score_winner = es.getargv(2)
	for userid in es.getUseridList():
		team_check = es.getplayerteam(userid)
		print 'checking %s' % userid
		if '%s'%team_check == '%s'%team:
			print 'found %s' %userid
			add_win(userid)
def add_win(userid):
	steamid = es.getplayersteamid(userid)
	wins = es.keygetvalue('achevements', steamid, 'wins')
	es.set('lawl_add', wins)
	es.server.cmd('es_xmath lawl_add + 1')
	wins = server_var['lawl_add']
	es.set('lawl_add', '0')
	es.keysetvalue('achevements', steamid, 'wins', wins)
	if wins > 0:
		first_win = es.keygetvalue('achevements', steamid, 'first_win')
		if first_win:
			if wins > 4 and wins < 6:
				achevement_give(userid, '5_win')
		else:
			achevement_give(userid, 'first_win')
def unload():
	es.keygroupdelete('achevements')
	es.keygroupdelete('achevement_database')